Skip to main content
GET
List all deployment triggers

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Response

Successful

id
number

The deployment trigger ID.

checkId
string | null

The check this trigger runs.

groupId
number | null

The check group this trigger runs.

provider
string

The deployment provider. Always GITHUB for this endpoint.

repoId
string

The provider-side repository ID.

repoName
string

The repository name, e.g. acme/storefront.

A link to the repository.

useEnvironmentUrl
boolean

Whether the deployment’s environment_url is injected into the run.

includeScreenshots
boolean

Whether screenshots are attached to the posted check run.

environmentRegexFilter
string | null

Only deployments whose environment name matches this regex trigger a run.

environmentUrlRegexFilter
string | null

Only deployments whose environment URL matches this regex trigger a run.

runLocation
string

The region the triggered run executes in.

created_at
string<date>
updated_at
string<date> | null